## org.biojava.bio.structure.io.mmcif.model
Class StructRefSeq

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.AbstractBean
          org.biojava.bio.structure.io.mmcif.model.StructRefSeq

    public class StructRefSeq

extends AbstractBean

Constructor Summary
`StructRefSeq()`

Method Summary
`String` `getAlign_id()`
`String` `getDb_align_beg()`
`String` `getDb_align_end()`
`String` `getDetails()`
`String` `getPdbx_auth_seq_align_beg()`
`String` `getPdbx_auth_seq_align_end()`
`String` `getPdbx_db_accession()`
`String` `getPdbx_db_align_beg_ins_code()`
`String` `getPdbx_db_align_end_ins_code()`
`String` `getPdbx_PDB_id_code()`
`String` `getPdbx_seq_align_beg_ins_code()`
`String` `getPdbx_seq_align_end_ins_code()`
`String` `getPdbx_strand_id()`
`String` `getRef_id()`
`String` `getSeq_align_beg()`
`String` `getSeq_align_end()`
`void` `setAlign_id(String align_id)`
`void` `setDb_align_beg(String db_align_beg)`
`void` `setDb_align_end(String db_align_end)`
`void` `setDetails(String details)`
`void` `setPdbx_auth_seq_align_beg(String pdbx_auth_seq_align_beg)`
`void` `setPdbx_auth_seq_align_end(String pdbx_auth_seq_align_end)`
`void` `setPdbx_db_accession(String pdbx_db_accession)`
`void` `setPdbx_db_align_beg_ins_code(String pdbx_db_align_beg_ins_code)`
`void` `setPdbx_db_align_end_ins_code(String pdbx_db_align_end_ins_code)`
`void` `setPdbx_PDB_id_code(String pdbx_PDB_id_code)`
`void` `setPdbx_seq_align_beg_ins_code(String pdbx_seq_align_beg_ins_code)`
`void` `setPdbx_seq_align_end_ins_code(String pdbx_seq_align_end_ins_code)`
`void` `setPdbx_strand_id(String pdbx_strand_id)`
`void` `setRef_id(String ref_id)`
`void` `setSeq_align_beg(String seq_align_beg)`
`void` `setSeq_align_end(String seq_align_end)`

Methods inherited from class org.biojava.bio.structure.io.mmcif.model.AbstractBean
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StructRefSeq

    public StructRefSeq()

Method Detail

### getAlign_id

    public String getAlign_id()

### setAlign_id

    public void setAlign_id(String align_id)

### getRef_id

    public String getRef_id()

### setRef_id

    public void setRef_id(String ref_id)

### getPdbx_PDB_id_code

    public String getPdbx_PDB_id_code()

### setPdbx_PDB_id_code

    public void setPdbx_PDB_id_code(String pdbx_PDB_id_code)

### getPdbx_strand_id

    public String getPdbx_strand_id()

### setPdbx_strand_id

    public void setPdbx_strand_id(String pdbx_strand_id)

### getSeq_align_beg

    public String getSeq_align_beg()

### setSeq_align_beg

    public void setSeq_align_beg(String seq_align_beg)

### getPdbx_seq_align_beg_ins_code

    public String getPdbx_seq_align_beg_ins_code()

### setPdbx_seq_align_beg_ins_code

    public void setPdbx_seq_align_beg_ins_code(String pdbx_seq_align_beg_ins_code)

### getSeq_align_end

    public String getSeq_align_end()

### setSeq_align_end

    public void setSeq_align_end(String seq_align_end)

### getPdbx_seq_align_end_ins_code

    public String getPdbx_seq_align_end_ins_code()

### setPdbx_seq_align_end_ins_code

    public void setPdbx_seq_align_end_ins_code(String pdbx_seq_align_end_ins_code)

### getPdbx_db_accession

    public String getPdbx_db_accession()

### setPdbx_db_accession

    public void setPdbx_db_accession(String pdbx_db_accession)

### getDb_align_beg

    public String getDb_align_beg()

### setDb_align_beg

    public void setDb_align_beg(String db_align_beg)

### getPdbx_db_align_beg_ins_code

    public String getPdbx_db_align_beg_ins_code()

### setPdbx_db_align_beg_ins_code

    public void setPdbx_db_align_beg_ins_code(String pdbx_db_align_beg_ins_code)

### getDb_align_end

    public String getDb_align_end()

### setDb_align_end

    public void setDb_align_end(String db_align_end)

### getPdbx_db_align_end_ins_code

    public String getPdbx_db_align_end_ins_code()

### setPdbx_db_align_end_ins_code

    public void setPdbx_db_align_end_ins_code(String pdbx_db_align_end_ins_code)

### getPdbx_auth_seq_align_beg

    public String getPdbx_auth_seq_align_beg()

### setPdbx_auth_seq_align_beg

    public void setPdbx_auth_seq_align_beg(String pdbx_auth_seq_align_beg)

### getPdbx_auth_seq_align_end

    public String getPdbx_auth_seq_align_end()

### setPdbx_auth_seq_align_end

    public void setPdbx_auth_seq_align_end(String pdbx_auth_seq_align_end)

### getDetails

    public String getDetails()

### setDetails

    public void setDetails(String details)